StarCraft Brood War not running on my Mac

Mac Technical Support
So, I am a big fan of the first StarCraft, specifically for it's atmosphere. So I upgraded my Mac Mini to the latest OS Lion and I found out I can't run StarCraft Brood War anymore. I am so sad now, Id go jump off a bridge, unfortunately Kansas is totally flat.
I know it is not Blizzard's fault, but can you guys fix this? And release a special installation for OSX Lion? PLZ FOR THE COMMUNITY! FOR AIUR!
BroodWard is a PowerPC binary, and Lion has deprecated Rosetta which emulated PowerPC processor instructions into intel instructions.

Without rosetta you cannot run Broodwar, you could try to run it inside an Virtual Machine or try to use Wine. Too bad Blizzard won't recompile BW to run on newer macs...
03/25/2012 11:33 AMPosted by Rogiel
BroodWard is a PowerPC binary, and Lion has deprecated Rosetta which emulated PowerPC processor instructions into intel instructions.

This is correct. You can read more about this in our Legacy sticky we have about Lion and Legacy games.
________________________________________________
Mac Tech Support for Baaaaahlizzard Entertainment
Not finding what you need here? Contact a rep direct! http://us.battle.net/support/en/article/contact

Pfft! Secret doors, who needs 'em? What do I care about secret doors?... and the unparalleled delights they keep hidden from the world!
Blizzard should stop selling Starcraft before they fix this. You can buy it without any warning, that's just wrong.
This was something that was updated on the system requirements when this Lion was released.

For example, check out the following link and look at the Mac system requirements: http://us.blizzard.com/store/details.xml?id=110000101

Mac System Requirements
16 MB RAM
Mac OS X 10.3.9 to OS X 10.6.8
PowerMac or compatible
2X CD-ROM drive
256 color, 640x480 display or better

This has been updated for all products affected. Also, all support articles have been updated that refer to the system requirements.
________________________________________________
Mac Tech Support for Baaaaahlizzard Entertainment | Sun-Thur

I'm not big on boasting, but you might have to take a victory lap.
04/14/2012 06:25 AMPosted by Matt
Blizzard should stop selling Starcraft before they fix this. You can buy it without any warning, that's just wrong.

What would be wrong is if they stop selling it even if there are still a lot of Windows PC and PowerPC Mac owners out there who want to play the game.

Before buying, I think it's the responsibility of the buyer to know if the game runs on their system. it's not like Blizzard is hiding the system requirements from prospective buyers.
03/25/2012 11:33 AMPosted by Rogiel
Too bad Blizzard won't recompile BW to run on newer macs...

There is no magic recompile button that just builds from source and converts things like that. Maybe it was designed as a universal code structure to start with, using development tools that could do that, such as xcode and universal binaries. But brood war is so old, i doubt it was even built in xcode, or using cocoa. It's probably a carbon application built in some obsolete software like codewarrior or something that was relevant back in it's time. By no means built in anything that has the kind of functionality you suggest. I'd also highly suspect the code base is no where near in a place it'd need to be to support an entirely different arcitecture compile on.

As for continuing to sell a product you can't use. Actually, you can use it. Any intel mac can run the windows version of binary in bootcamp, wine, crossover, etc. It can also be run on 10.6.8. there is nothing that says you cannot have 10.7 AND 10.6.8 installed. I personally have a 10.6.8 partition and a 10.7.3 partition. If i need to run something in rosetta it's as easy as rebooting into a diff OS and firing it up. If you bought Lion, you didnt put your 10.6.x disc in toaster did you? Or decide to see if your dog can catch it in his mouth? :)

It might be a little more work if you use lion for every day use, to fire up brood war, but it's not undoable.
so i recently bought a new mac book pro which came with osx 10.7 Lion pre-installed. i however have my old software disks for i think osx 10.5. can i partition my new macbook pro with 10.5???
Having a different issue. Downloaded StarCraft Brood War, and can start the game. But when I try to create a new character, I get the following error message:

File error creating new character. Make sure there is enough disk space on the disk StarCraft is installed to, and that you have permission to write to that disk.

OS is Mac OS X Version 10.6.8 (Snow Leopard), and have approximately 300 GB free.
Let's try Repairing the Disk Permissions, and see if that helps.

________________________________________________
Rate me! https://www.surveymonkey.com/s/Velnrak
Appreciate the reply, Velnrak. Did try to repair the disk permission several times, but it didn't resolve the issue.

Wound up removing the game from the Mac OS side of my computer and reinstalling it to the Windows XP partition. Works nicely over on the Windows side.

Join the Conversation

Return to Forum